
%define plugin	podcatcher
%define name	vdr-plugin-%plugin
%define version	0.1.1
%define rel	14

Summary:	VDR plugin: subscribe to podcasts
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://www.e-tobi.net/blog/pages/vdr-podcatcher
Source:		http://www.e-tobi.net/blog/files/vdr-%plugin-%version.tar.bz2
Patch0:		podcatcher-0.1.1-i18n-1.6.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0
BuildRequires:	libcurl-devel
BuildRequires:	libmad-devel
BuildRequires:	libxml++-devel
Requires:	vdr-abi = %vdr_abi

%description
With the Podcatcher plugin you can subscribe to podcasts. It allows you
to browse through the podcasts, download and play them.

%prep
%setup -q -n %plugin-%version
%patch0 -p1
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Specify the cache dir, where the xml feeds and mp3's get cached
var=CACHE_DIR
param=--cache=CACHE_DIR
default=%{_vdr_plugin_cachedir}/%{plugin}
%vdr_plugin_params_end

%build
%vdr_plugin_build i18n

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cachedir}/%{plugin}
install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}

install -m644 examples/* %{buildroot}%{_vdr_plugin_cfgdir}

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README HISTORY
%attr(-,vdr,vdr) %dir %{_vdr_plugin_cachedir}/%{plugin}
%config(noreplace) %{_vdr_plugin_cfgdir}/podcatchersources.conf




%changelog
* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.1.1-13mdv2009.0
+ Revision: 197707
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- adapt to gettext i18n of VDR 1.6 (semi-automatic patch)

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.1.1-12mdv2008.1
+ Revision: 145178
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.1.1-11mdv2008.1
+ Revision: 103182
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.1.1-10mdv2008.0
+ Revision: 50031
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.1.1-9mdv2008.0
+ Revision: 42117
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.1.1-8mdv2008.0
+ Revision: 22769
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-7mdv2007.0
+ Revision: 90960
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-6mdv2007.1
+ Revision: 74070
- rebuild for new vdr
- Import vdr-plugin-podcatcher

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-5mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-4mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-3mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-2mdv2007.0
- rebuild for new vdr

* Tue Jul 18 2006 Anssi Hannula <anssi@mandriva.org> 0.1.1-1mdv2007.0
- initial Mandriva release

